Create or update multiple user authorizations
Create or update multiple user authorizations in a single request. The body of the request is a list of userAuthorizationSomething objects. To create a new authorization, specify the agentUser and permission fields, with the optional startDate and endDate fields. To update an existing authorization, specify the authorizationId field and the startDate and/or endDate fields.
For example, to create a new authorization and update the end date of an existing authorization, your request body might look like this:
The principal user is specified by the userId path parameter. To call this endpoint, you must be an account administrator or the principal user.
Note: To create an authorization with signing permission, the AllowDelegationSigning setting must be enabled on the account. If you share signing access, the agent user will receive an email notification. Each principal user can only share signing permission with one agent user.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
Request
This endpoint expects an object: userAuthorizationsRequest